## xfonts-terminus 4.30

=== Makefile ===
PERL	= perl
AWK	= awk
UCS2VGA	= $(PERL) ./ucstoany.pl +f
UNI2TXT	= $(AWK) '{ printf("0x%02X\tU+%s\n", FNR-1, $$1) }'
BDF2PSF	= $(PERL) ./bdftopsf.pl +u
BDF2RAW	= $(PERL) ./bdftopsf.pl -h
UCS2X11	= $(PERL) ./ucstoany.pl
BDF2PCF	= bdftopcf

R_88591	= ISO8859 1
R_88592	= ISO8859 2
R_88595	= ISO8859 5
R_88597	= ISO8859 7
R_88599	= ISO8859 9
R_W1251	= Microsoft CP1251
R_8859D	= ISO8859 13
R_8859F	= ISO8859 15
R_8859G	= ISO8859 16
R_PCIBM	= IBM CP437
R_KOI8R	= KOI8 R
R_KOI8U	= KOI8 U
R_BGMIK	= Bulgarian MIK
R_PT154	= Paratype PT154
R_PT254	= Paratype PT254
R_XOS42	= XOS4 2
R_10646	= ISO10646 1

PSF_12N	= ter-112n.psf ter-212n.psf ter-712n.psf ter-912n.psf ter-c12n.psf ter-d12n.psf ter-g12n.psf ter-i12n.psf ter-k12n.psf ter-m12n.psf ter-p12n.psf ter-u12n.psf ter-v12n.psf
PSF_14N	= ter-114n.psf ter-214n.psf ter-714n.psf ter-914n.psf ter-c14n.psf ter-d14n.psf ter-g14n.psf ter-i14n.psf ter-k14n.psf ter-m14n.psf ter-p14n.psf ter-u14n.psf ter-v14n.psf
PSF_14B	= ter-114b.psf ter-214b.psf ter-714b.psf ter-914b.psf ter-c14b.psf ter-d14b.psf ter-g14b.psf ter-i14b.psf ter-k14b.psf ter-m14b.psf ter-p14b.psf ter-u14b.psf ter-v14b.psf
PSF_14F	= ter-114f.psf ter-214f.psf ter-714f.psf ter-914f.psf ter-c14f.psf ter-d14f.psf ter-g14f.psf ter-i14f.psf ter-k14f.psf ter-m14f.psf ter-p14f.psf ter-u14f.psf ter-v14f.psf
PSF_16N	= ter-116n.psf ter-216n.psf ter-716n.psf ter-916n.psf ter-c16n.psf ter-d16n.psf ter-g16n.psf ter-i16n.psf ter-k16n.psf ter-m16n.psf ter-p16n.psf ter-u16n.psf ter-v16n.psf
PSF_16B	= ter-116b.psf ter-216b.psf ter-716b.psf ter-916b.psf ter-c16b.psf ter-d16b.psf ter-g16b.psf ter-i16b.psf ter-k16b.psf ter-m16b.psf ter-p16b.psf ter-u16b.psf ter-v16b.psf
PSF_16F	= ter-116f.psf ter-216f.psf ter-716f.psf ter-916f.psf ter-c16f.psf ter-d16f.psf ter-g16f.psf ter-i16f.psf ter-k16f.psf ter-m16f.psf ter-p16f.psf ter-u16f.psf ter-v16f.psf
PSF_20N	= ter-120n.psf ter-220n.psf ter-720n.psf ter-920n.psf ter-c20n.psf ter-d20n.psf ter-g20n.psf ter-i20n.psf ter-k20n.psf ter-m20n.psf ter-p20n.psf ter-u20n.psf ter-v20n.psf
PSF_20B	= ter-120b.psf ter-220b.psf ter-720b.psf ter-920b.psf ter-c20b.psf ter-d20b.psf ter-g20b.psf ter-i20b.psf ter-k20b.psf ter-m20b.psf ter-p20b.psf ter-u20b.psf ter-v20b.psf
PSF_22N	= ter-122n.psf ter-222n.psf ter-722n.psf ter-922n.psf ter-c22n.psf ter-d22n.psf ter-g22n.psf ter-i22n.psf ter-k22n.psf ter-m22n.psf ter-p22n.psf ter-u22n.psf ter-v22n.psf
PSF_22B	= ter-122b.psf ter-222b.psf ter-722b.psf ter-922b.psf ter-c22b.psf ter-d22b.psf ter-g22b.psf ter-i22b.psf ter-k22b.psf ter-m22b.psf ter-p22b.psf ter-u22b.psf ter-v22b.psf
PSF_24N	= ter-124n.psf ter-224n.psf ter-724n.psf ter-924n.psf ter-c24n.psf ter-d24n.psf ter-g24n.psf ter-i24n.psf ter-k24n.psf ter-m24n.psf ter-p24n.psf ter-u24n.psf ter-v24n.psf
PSF_24B	= ter-124b.psf ter-224b.psf ter-724b.psf ter-924b.psf ter-c24b.psf ter-d24b.psf ter-g24b.psf ter-i24b.psf ter-k24b.psf ter-m24b.psf ter-p24b.psf ter-u24b.psf ter-v24b.psf
PSF_28N	= ter-128n.psf ter-228n.psf ter-728n.psf ter-928n.psf ter-c28n.psf ter-d28n.psf ter-g28n.psf ter-i28n.psf ter-k28n.psf ter-m28n.psf ter-p28n.psf ter-u28n.psf ter-v28n.psf
PSF_28B	= ter-128b.psf ter-228b.psf ter-728b.psf ter-928b.psf ter-c28b.psf ter-d28b.psf ter-g28b.psf ter-i28b.psf ter-k28b.psf ter-m28b.psf ter-p28b.psf ter-u28b.psf ter-v28b.psf
PSF_32N	= ter-132n.psf ter-232n.psf ter-732n.psf ter-932n.psf ter-c32n.psf ter-d32n.psf ter-g32n.psf ter-i32n.psf ter-k32n.psf ter-m32n.psf ter-p32n.psf ter-u32n.psf ter-v32n.psf
PSF_32B	= ter-132b.psf ter-232b.psf ter-732b.psf ter-932b.psf ter-c32b.psf ter-d32b.psf ter-g32b.psf ter-i32b.psf ter-k32b.psf ter-m32b.psf ter-p32b.psf ter-u32b.psf ter-v32b.psf
PSF	= $(PSF_12N) $(PSF_14N) $(PSF_14B) $(PSF_14F) $(PSF_16N) $(PSF_16B) $(PSF_16F) $(PSF_20N) $(PSF_20B) $(PSF_22N) $(PSF_22B) $(PSF_24N) $(PSF_24B) $(PSF_28N) $(PSF_28B) $(PSF_32N) $(PSF_32B)

TXT_WIN	= cp1252.txt cp1250.txt cp1253.txt cp1254.txt cp1251.txt cp1257.txt pt154.txt
TXT_MIX	= 8859-16.txt cp437.txt koi8-r.txt koi8-u.txt mik.txt pt254.txt
TXT	= $(TXT_WIN) $(TXT_MIX)

RAW_14N	= ter-114n.raw ter-214n.raw ter-514n.raw ter-714n.raw ter-914n.raw ter-c14n.raw ter-d14n.raw ter-f14n.raw ter-g14n.raw ter-i14n.raw ter-k14n.raw ter-p14n.raw ter-u14n.raw
RAW_14B	= ter-114b.raw ter-214b.raw ter-514b.raw ter-714b.raw ter-914b.raw ter-c14b.raw ter-d14b.raw ter-f14b.raw ter-g14b.raw ter-i14b.raw ter-k14b.raw ter-p14b.raw ter-u14b.raw
RAW_14F	= ter-114f.raw ter-214f.raw ter-514f.raw ter-714f.raw ter-914f.raw ter-c14f.raw ter-d14f.raw ter-f14f.raw ter-g14f.raw ter-i14f.raw ter-k14f.raw ter-p14f.raw ter-u14f.raw
RAW_16N	= ter-116n.raw ter-216n.raw ter-516n.raw ter-716n.raw ter-916n.raw ter-c16n.raw ter-d16n.raw ter-f16n.raw ter-g16n.raw ter-i16n.raw ter-k16n.raw ter-p16n.raw ter-u16n.raw
RAW_16B	= ter-116b.raw ter-216b.raw ter-516b.raw ter-716b.raw ter-916b.raw ter-c16b.raw ter-d16b.raw ter-f16b.raw ter-g16b.raw ter-i16b.raw ter-k16b.raw ter-p16b.raw ter-u16b.raw
RAW_16F	= ter-116f.raw ter-216f.raw ter-516f.raw ter-716f.raw ter-916f.raw ter-c16f.raw ter-d16f.raw ter-f16f.raw ter-g16f.raw ter-i16f.raw ter-k16f.raw ter-p16f.raw ter-u16f.raw
RAW	= $(RAW_14N) $(RAW_14B) $(RAW_14F) $(RAW_16N) $(RAW_16B) $(RAW_16F)

PCF_12N	= ter-112n.pcf ter-212n.pcf ter-512n.pcf ter-712n.pcf ter-912n.pcf ter-c12n.pcf ter-d12n.pcf ter-f12n.pcf ter-g12n.pcf ter-k12n.pcf ter-p12n.pcf ter-u12n.pcf ter-x12n.pcf
PCF_12B	= ter-112b.pcf ter-212b.pcf ter-512b.pcf ter-712b.pcf ter-912b.pcf ter-c12b.pcf ter-d12b.pcf ter-f12b.pcf ter-g12b.pcf ter-k12b.pcf ter-p12b.pcf ter-u12b.pcf ter-x12b.pcf
PCF_14N	= ter-114n.pcf ter-214n.pcf ter-514n.pcf ter-714n.pcf ter-914n.pcf ter-c14n.pcf ter-d14n.pcf ter-f14n.pcf ter-g14n.pcf ter-k14n.pcf ter-p14n.pcf ter-u14n.pcf ter-x14n.pcf
PCF_14B	= ter-114b.pcf ter-214b.pcf ter-514b.pcf ter-714b.pcf ter-914b.pcf ter-c14b.pcf ter-d14b.pcf ter-f14b.pcf ter-g14b.pcf ter-k14b.pcf ter-p14b.pcf ter-u14b.pcf ter-x14b.pcf
PCF_16N	= ter-116n.pcf ter-216n.pcf ter-516n.pcf ter-716n.pcf ter-916n.pcf ter-c16n.pcf ter-d16n.pcf ter-f16n.pcf ter-g16n.pcf ter-k16n.pcf ter-p16n.pcf ter-u16n.pcf ter-x16n.pcf
PCF_16B	= ter-116b.pcf ter-216b.pcf ter-516b.pcf ter-716b.pcf ter-916b.pcf ter-c16b.pcf ter-d16b.pcf ter-f16b.pcf ter-g16b.pcf ter-k16b.pcf ter-p16b.pcf ter-u16b.pcf ter-x16b.pcf
PCF_20N	= ter-120n.pcf ter-220n.pcf ter-520n.pcf ter-720n.pcf ter-920n.pcf ter-c20n.pcf ter-d20n.pcf ter-f20n.pcf ter-g20n.pcf ter-k20n.pcf ter-p20n.pcf ter-u20n.pcf ter-x20n.pcf
PCF_20B	= ter-120b.pcf ter-220b.pcf ter-520b.pcf ter-720b.pcf ter-920b.pcf ter-c20b.pcf ter-d20b.pcf ter-f20b.pcf ter-g20b.pcf ter-k20b.pcf ter-p20b.pcf ter-u20b.pcf ter-x20b.pcf
PCF_22N	= ter-122n.pcf ter-222n.pcf ter-522n.pcf ter-722n.pcf ter-922n.pcf ter-c22n.pcf ter-d22n.pcf ter-f22n.pcf ter-g22n.pcf ter-k22n.pcf ter-p22n.pcf ter-u22n.pcf ter-x22n.pcf
PCF_22B	= ter-122b.pcf ter-222b.pcf ter-522b.pcf ter-722b.pcf ter-922b.pcf ter-c22b.pcf ter-d22b.pcf ter-f22b.pcf ter-g22b.pcf ter-k22b.pcf ter-p22b.pcf ter-u22b.pcf ter-x22b.pcf
PCF_24N	= ter-124n.pcf ter-224n.pcf ter-524n.pcf ter-724n.pcf ter-924n.pcf ter-c24n.pcf ter-d24n.pcf ter-f24n.pcf ter-g24n.pcf ter-k24n.pcf ter-p24n.pcf ter-u24n.pcf ter-x24n.pcf
PCF_24B	= ter-124b.pcf ter-224b.pcf ter-524b.pcf ter-724b.pcf ter-924b.pcf ter-c24b.pcf ter-d24b.pcf ter-f24b.pcf ter-g24b.pcf ter-k24b.pcf ter-p24b.pcf ter-u24b.pcf ter-x24b.pcf
PCF_28N	= ter-128n.pcf ter-228n.pcf ter-528n.pcf ter-728n.pcf ter-928n.pcf ter-c28n.pcf ter-d28n.pcf ter-f28n.pcf ter-g28n.pcf ter-k28n.pcf ter-p28n.pcf ter-u28n.pcf ter-x28n.pcf
PCF_28B	= ter-128b.pcf ter-228b.pcf ter-528b.pcf ter-728b.pcf ter-928b.pcf ter-c28b.pcf ter-d28b.pcf ter-f28b.pcf ter-g28b.pcf ter-k28b.pcf ter-p28b.pcf ter-u28b.pcf ter-x28b.pcf
PCF_32N	= ter-132n.pcf ter-232n.pcf ter-532n.pcf ter-732n.pcf ter-932n.pcf ter-c32n.pcf ter-d32n.pcf ter-f32n.pcf ter-g32n.pcf ter-k32n.pcf ter-p32n.pcf ter-u32n.pcf ter-x32n.pcf
PCF_32B	= ter-132b.pcf ter-232b.pcf ter-532b.pcf ter-732b.pcf ter-932b.pcf ter-c32b.pcf ter-d32b.pcf ter-f32b.pcf ter-g32b.pcf ter-k32b.pcf ter-p32b.pcf ter-u32b.pcf ter-x32b.pcf
PCF	= $(PCF_12N) $(PCF_12B) $(PCF_14N) $(PCF_14B) $(PCF_16N) $(PCF_16B) $(PCF_20N) $(PCF_20B) $(PCF_22N) $(PCF_22B) $(PCF_24N) $(PCF_24B) $(PCF_28N) $(PCF_28B) $(PCF_32N) $(PCF_32B)
PCF_N12	= $(PCF_12N) $(PCF_14N) $(PCF_14B) $(PCF_16N) $(PCF_16B) $(PCF_20N) $(PCF_20B) $(PCF_22N) $(PCF_22B) $(PCF_24N) $(PCF_24B) $(PCF_28N) $(PCF_28B) $(PCF_32N) $(PCF_32B)

EEE	= ter-x12n.pcf ter-x12b.pcf ter-x14n.pcf ter-x14b.pcf ter-x16n.pcf ter-x16b.pcf ter-x20n.pcf ter-x20b.pcf ter-x22n.pcf ter-x22b.pcf
EEE_N12	= ter-x12n.pcf ter-x14n.pcf ter-x14b.pcf ter-x16n.pcf ter-x16b.pcf ter-x20n.pcf ter-x20b.pcf ter-x22n.pcf ter-x22b.pcf

all: $(PSF) $(PCF)
psf: $(PSF)
txt: $(TXT)
raw: $(RAW)
pcf: $(PCF)
n12: $(PCF_N12)
eee: $(EEE)
e12: $(EEE_N12)

DESTDIR	=
prefix	= /usr/local
psfdir	= $(prefix)/share/consolefonts
x11dir	= $(prefix)/share/fonts/terminus

install: $(PSF) $(PCF)
	mkdir -p $(DESTDIR)$(psfdir)
	for i in $(PSF) ; do gzip -c $$i > $(DESTDIR)$(psfdir)/$$i.gz ; done
	mkdir -p $(DESTDIR)$(x11dir)
	for i in $(PCF) ; do gzip -c $$i > $(DESTDIR)$(x11dir)/$$i.gz ; done

uninstall:
	for i in $(PSF) ; do rm -f $(DESTDIR)$(psfdir)/$$i.gz ; done
	for i in $(PCF) ; do rm -f $(DESTDIR)$(x11dir)/$$i.gz ; done

fontdir:
	mkfontscale $(DESTDIR)$(x11dir)
	mkfontdir $(DESTDIR)$(x11dir)
	fc-cache $(DESTDIR)$(x11dir)

V_88591	= uni/vgagr.uni uni/ascii-h.uni uni/win-1252.uni
V_88592	= uni/vgagr.uni uni/ascii-h.uni uni/vga-1250.uni uni/8859-2.uni
V_88597	= uni/vgagr.uni uni/ascii-h.uni uni/vga-1253.uni uni/8859-7.uni
V_88599	= uni/vgagr.uni uni/ascii-h.uni uni/win-1254.uni
V_W1251	= uni/vgagr.uni uni/ascii-h.uni uni/vga-1251.uni uni/win-1251.uni
V_8859D	= uni/vgagr.uni uni/ascii-h.uni uni/vga-1257.uni uni/8859-13.uni
V_8859G	= uni/vgagr.uni uni/ascii-h.uni uni/nls-1250.uni uni/8859-16.uni
V_PCIBM	= uni/cntrl.uni uni/ascii-h.uni uni/ibm-437.uni
V_KOI8R	= uni/cntrl.uni uni/ascii-h.uni uni/koibm8-r.uni
F_KOI8R	= uni/cntrl.uni uni/ascii-h.uni uni/koi8-r.uni
V_KOI8U	= uni/cntrl.uni uni/ascii-h.uni uni/koibm8-u.uni
F_KOI8U	= uni/cntrl.uni uni/ascii-h.uni uni/koi8-u.uni
V_BGMIK	= uni/cntrl.uni uni/ascii-h.uni uni/bg-mik.uni
V_PT154	= uni/vgagr.uni uni/ascii-h.uni uni/pt-154.uni
V_XOS42	= uni/xos4-2.uni

D_88591	= dup/vgagr.dup dup/ascii-h.dup
D_88592	= dup/vgagr.dup dup/ascii-h.dup
D_88597	= dup/vgagr.dup dup/ascii-h.dup
D_88599	= dup/vgagr.dup dup/ascii-h.dup
D_W1251	= dup/vgagr.dup dup/ascii-h.dup
D_8859D	= dup/vgagr.dup dup/ascii-h.dup
D_8859G	= dup/vgagr.dup dup/ascii-h.dup
D_PCIBM	= dup/cntrl.dup dup/ascii-h.dup dup/ibm-437.dup
D_KOI8R	= dup/cntrl.dup dup/ascii-h.dup dup/koi8.dup
D_KOI8U	= dup/cntrl.dup dup/ascii-h.dup dup/koi8.dup
D_BGMIK	= dup/cntrl.dup dup/ascii-h.dup dup/ibm-437.dup
D_PT154	= dup/vgagr.dup dup/ascii-h.dup
D_XOS42	= dup/vgagr.dup dup/xos4-2.dup

ter-112n.psf: ter-u12n.bdf $(V_88591) $(D_88591)
	$(UCS2VGA) ter-u12n.bdf $(R_88591) $(V_88591) | $(BDF2PSF) -o $@ - $(D_88591)

ter-212n.psf: ter-u12n.bdf $(V_88592) $(D_88592)
	$(UCS2VGA) ter-u12n.bdf $(R_88592) $(V_88592) | $(BDF2PSF) -o $@ - $(D_88592)

ter-712n.psf: ter-u12n.bdf $(V_88597) $(D_88597)
	$(UCS2VGA) ter-u12n.bdf $(R_88597) $(V_88597) | $(BDF2PSF) -o $@ - $(D_88597)

ter-912n.psf: ter-u12n.bdf $(V_88599) $(D_88599)
	$(UCS2VGA) ter-u12n.bdf $(R_88599) $(V_88599) | $(BDF2PSF) -o $@ - $(D_88599)

ter-c12n.psf: ter-u12n.bdf $(V_W1251) $(D_W1251)
	$(UCS2VGA) ter-u12n.bdf $(R_W1251) $(V_W1251) | $(BDF2PSF) -o $@ - $(D_W1251)

ter-d12n.psf: ter-u12n.bdf $(V_8859D) $(D_8859D)
	$(UCS2VGA) ter-u12n.bdf $(R_8859D) $(V_8859D) | $(BDF2PSF) -o $@ - $(D_8859G)

ter-g12n.psf: ter-u12n.bdf $(V_8859G) $(D_8859G)
	$(UCS2VGA) ter-u12n.bdf $(R_8859G) $(V_8859G) | $(BDF2PSF) -o $@ - $(D_8859G)

ter-i12n.psf: ter-u12n.bdf $(V_PCIBM) $(D_PCIBM)
	$(UCS2VGA) ter-u12n.bdf $(R_PCIBM) $(V_PCIBM) | $(BDF2PSF) -o $@ - $(D_PCIBM)

ter-k12n.psf: ter-u12n.bdf $(F_KOI8R) $(D_KOI8R)
	$(UCS2VGA) ter-u12n.bdf $(R_KOI8R) $(F_KOI8R) | $(BDF2PSF) -o $@ - $(D_KOI8R)

## xfonts-terminus 4.35

=== Makefile ===
PERL	= perl
AWK	= awk
UCS2VGA	= $(PERL) ./ucstoany.pl +f
UNI2TXT	= $(AWK) '{ printf("0x%02X\tU+%s\n", FNR-1, $$1) }'
BDF2PSF	= $(PERL) ./bdftopsf.pl +u
BDF2RAW	= $(PERL) ./bdftopsf.pl -h
UCS2X11	= $(PERL) ./ucstoany.pl
BDF2PCF	= bdftopcf

REG_8859_1  = ISO8859 1
REG_8859_2  = ISO8859 2
REG_8859_5  = ISO8859 5
REG_8859_7  = ISO8859 7
REG_8859_9  = ISO8859 9
REG_W_1251  = Microsoft CP1251
REG_8859_13 = ISO8859 13
REG_8859_15 = ISO8859 15
REG_8859_16 = ISO8859 16
REG_IBM_437 = IBM CP437
REG_KOI8_R  = KOI8 R
REG_KOI8_U  = KOI8 U
REG_BG_MIK  = Bulgarian MIK
REG_PT_154  = Paratype PT154
REG_XOS4_2  = XOS4 2
REG_U_10646 = ISO10646 1

PSF_8859_1  = ter-112n.psf ter-114n.psf ter-114b.psf ter-114v.psf ter-116n.psf ter-116b.psf ter-116v.psf ter-118n.psf ter-118b.psf ter-120n.psf ter-120b.psf ter-122n.psf ter-122b.psf ter-124n.psf ter-124b.psf ter-128n.psf ter-128b.psf ter-132n.psf ter-132b.psf
PSF_8859_2  = ter-212n.psf ter-214n.psf ter-214b.psf ter-214v.psf ter-216n.psf ter-216b.psf ter-216v.psf ter-218n.psf ter-218b.psf ter-220n.psf ter-220b.psf ter-222n.psf ter-222b.psf ter-224n.psf ter-224b.psf ter-228n.psf ter-228b.psf ter-232n.psf ter-232b.psf
PSF_8859_7  = ter-712n.psf ter-714n.psf ter-714b.psf ter-714v.psf ter-716n.psf ter-716b.psf ter-716v.psf ter-718n.psf ter-718b.psf ter-720n.psf ter-720b.psf ter-722n.psf ter-722b.psf ter-724n.psf ter-724b.psf ter-728n.psf ter-728b.psf ter-732n.psf ter-732b.psf
PSF_8859_9  = ter-912n.psf ter-914n.psf ter-914b.psf ter-914v.psf ter-916n.psf ter-916b.psf ter-916v.psf ter-918n.psf ter-918b.psf ter-920n.psf ter-920b.psf ter-922n.psf ter-922b.psf ter-924n.psf ter-924b.psf ter-928n.psf ter-928b.psf ter-932n.psf ter-932b.psf
PSF_W_1251  = ter-c12n.psf ter-c14n.psf ter-c14b.psf ter-c14v.psf ter-c16n.psf ter-c16b.psf ter-c16v.psf ter-c18n.psf ter-c18b.psf ter-c20n.psf ter-c20b.psf ter-c22n.psf ter-c22b.psf ter-c24n.psf ter-c24b.psf ter-c28n.psf ter-c28b.psf ter-c32n.psf ter-c32b.psf
PSF_8859_13 = ter-d12n.psf ter-d14n.psf ter-d14b.psf ter-d14v.psf ter-d16n.psf ter-d16b.psf ter-d16v.psf ter-d18n.psf ter-d18b.psf ter-d20n.psf ter-d20b.psf ter-d22n.psf ter-d22b.psf ter-d24n.psf ter-d24b.psf ter-d28n.psf ter-d28b.psf ter-d32n.psf ter-d32b.psf
PSF_8859_16 = ter-g12n.psf ter-g14n.psf ter-g14b.psf ter-g14v.psf ter-g16n.psf ter-g16b.psf ter-g16v.psf ter-g18n.psf ter-g18b.psf ter-g20n.psf ter-g20b.psf ter-g22n.psf ter-g22b.psf ter-g24n.psf ter-g24b.psf ter-g28n.psf ter-g28b.psf ter-g32n.psf ter-g32b.psf
PSF_IBM_437 = ter-i12n.psf ter-i14n.psf ter-i14b.psf ter-i14v.psf ter-i16n.psf ter-i16b.psf ter-i16v.psf ter-i18n.psf ter-i18b.psf ter-i20n.psf ter-i20b.psf ter-i22n.psf ter-i22b.psf ter-i24n.psf ter-i24b.psf ter-i28n.psf ter-i28b.psf ter-i32n.psf ter-i32b.psf
PSF_KOI8_RV = ter-k14n.psf ter-k14b.psf ter-k14v.psf ter-k16n.psf ter-k16b.psf ter-k16v.psf
PSF_KOI8_R  = ter-k12n.psf ter-k18n.psf ter-k18b.psf ter-k20n.psf ter-k20b.psf ter-k22n.psf ter-k22b.psf ter-k24n.psf ter-k24b.psf ter-k28n.psf ter-k28b.psf ter-k32n.psf ter-k32b.psf
PSF_BG_MIK  = ter-m12n.psf ter-m14n.psf ter-m14b.psf ter-m14v.psf ter-m16n.psf ter-m16b.psf ter-m16v.psf ter-m18n.psf ter-m18b.psf ter-m20n.psf ter-m20b.psf ter-m22n.psf ter-m22b.psf ter-m24n.psf ter-m24b.psf ter-m28n.psf ter-m28b.psf ter-m32n.psf ter-m32b.psf
PSF_PT_154  = ter-p12n.psf ter-p14n.psf ter-p14b.psf ter-p14v.psf ter-p16n.psf ter-p16b.psf ter-p16v.psf ter-p18n.psf ter-p18b.psf ter-p20n.psf ter-p20b.psf ter-p22n.psf ter-p22b.psf ter-p24n.psf ter-p24b.psf ter-p28n.psf ter-p28b.psf ter-p32n.psf ter-p32b.psf
PSF_KOI8_UV = ter-u14n.psf ter-u14b.psf ter-u14v.psf ter-u16n.psf ter-u16b.psf ter-u16v.psf
PSF_KOI8_U  = ter-u12n.psf ter-u18n.psf ter-u18b.psf ter-u20n.psf ter-u20b.psf ter-u22n.psf ter-u22b.psf ter-u24n.psf ter-u24b.psf ter-u28n.psf ter-u28b.psf ter-u32n.psf ter-u32b.psf
PSF_XOS4_2  = ter-v12n.psf ter-v14n.psf ter-v14b.psf ter-v14v.psf ter-v16n.psf ter-v16b.psf ter-v16v.psf ter-v18n.psf ter-v18b.psf ter-v20n.psf ter-v20b.psf ter-v22n.psf ter-v22b.psf ter-v24n.psf ter-v24b.psf ter-v28n.psf ter-v28b.psf ter-v32n.psf ter-v32b.psf
PSF = $(PSF_8859_1) $(PSF_8859_2) $(PSF_8859_7) $(PSF_8859_9) $(PSF_W_1251) $(PSF_8859_13) $(PSF_8859_16) $(PSF_IBM_437) $(PSF_KOI8_RV) $(PSF_KOI8_R) $(PSF_BG_MIK) $(PSF_PT_154) $(PSF_KOI8_UV) $(PSF_KOI8_U) $(PSF_XOS4_2)

TXT = cp1252.txt cp1250.txt cp1253.txt cp1254.txt cp1251.txt cp1257.txt pt154.txt 8859-16.txt cp437.txt koi8-r.txt koi8-u.txt mik.txt pt254.txt

RAW_8859_1  = ter-114n.raw ter-114b.raw ter-114v.raw ter-116n.raw ter-116b.raw ter-116v.raw
RAW_8859_2  = ter-214n.raw ter-214b.raw ter-214v.raw ter-216n.raw ter-216b.raw ter-216v.raw
RAW_8859_5  = ter-514n.raw ter-514b.raw ter-514v.raw ter-516n.raw ter-516b.raw ter-516v.raw
RAW_8859_7  = ter-714n.raw ter-714b.raw ter-714v.raw ter-716n.raw ter-716b.raw ter-716v.raw
RAW_8859_9  = ter-914n.raw ter-914b.raw ter-914v.raw ter-916n.raw ter-916b.raw ter-916v.raw
RAW_W_1251  = ter-c14n.raw ter-c14b.raw ter-c14v.raw ter-c16n.raw ter-c16b.raw ter-c16v.raw
RAW_8859_13 = ter-d14n.raw ter-d14b.raw ter-d14v.raw ter-d16n.raw ter-d16b.raw ter-d16v.raw
RAW_8859_15 = ter-f14n.raw ter-f14b.raw ter-f14v.raw ter-f16n.raw ter-f16b.raw ter-f16v.raw
RAW_8859_16 = ter-g14n.raw ter-g14b.raw ter-g14v.raw ter-g16n.raw ter-g16b.raw ter-g16v.raw
RAW_IBM_437 = ter-i14n.raw ter-i14b.raw ter-i14v.raw ter-i16n.raw ter-i16b.raw ter-i16v.raw
RAW_KOI8_R  = ter-k14n.raw ter-k14b.raw ter-k14v.raw ter-k16n.raw ter-k16b.raw ter-k16v.raw
RAW_PT_154  = ter-p14n.raw ter-p14b.raw ter-p14v.raw ter-p16n.raw ter-p16b.raw ter-p16v.raw
RAW_KOI8_U  = ter-u14n.raw ter-u14b.raw ter-u14v.raw ter-u16n.raw ter-u16b.raw ter-u16v.raw
RAW = $(RAW_8859_1) $(RAW_8859_2) $(RAW_8859_5) $(RAW_8859_7) $(RAW_8859_9) $(RAW_W_1251) $(RAW_8859_13) $(RAW_8859_15) $(RAW_8859_16) $(RAW_IBM_437) $(RAW_KOI8_R) $(RAW_PT_154) $(RAW_KOI8_U)

PCF_8859_1  = ter-112n.pcf ter-112b.pcf ter-114n.pcf ter-114b.pcf ter-116n.pcf ter-116b.pcf ter-118n.pcf ter-118b.pcf ter-120n.pcf ter-120b.pcf ter-122n.pcf ter-122b.pcf ter-124n.pcf ter-124b.pcf ter-128n.pcf ter-128b.pcf ter-132n.pcf ter-132b.pcf
PCF_8859_2  = ter-212n.pcf ter-212b.pcf ter-214n.pcf ter-214b.pcf ter-216n.pcf ter-216b.pcf ter-218n.pcf ter-218b.pcf ter-220n.pcf ter-220b.pcf ter-222n.pcf ter-222b.pcf ter-224n.pcf ter-224b.pcf ter-228n.pcf ter-228b.pcf ter-232n.pcf ter-232b.pcf
PCF_8859_5  = ter-512n.pcf ter-512b.pcf ter-514n.pcf ter-514b.pcf ter-516n.pcf ter-516b.pcf ter-518n.pcf ter-518b.pcf ter-520n.pcf ter-520b.pcf ter-522n.pcf ter-522b.pcf ter-524n.pcf ter-524b.pcf ter-528n.pcf ter-528b.pcf ter-532n.pcf ter-532b.pcf
PCF_8859_7  = ter-712n.pcf ter-712b.pcf ter-714n.pcf ter-714b.pcf ter-716n.pcf ter-716b.pcf ter-718n.pcf ter-718b.pcf ter-720n.pcf ter-720b.pcf ter-722n.pcf ter-722b.pcf ter-724n.pcf ter-724b.pcf ter-728n.pcf ter-728b.pcf ter-732n.pcf ter-732b.pcf
PCF_8859_9  = ter-912n.pcf ter-912b.pcf ter-914n.pcf ter-914b.pcf ter-916n.pcf ter-916b.pcf ter-918n.pcf ter-918b.pcf ter-920n.pcf ter-920b.pcf ter-922n.pcf ter-922b.pcf ter-924n.pcf ter-924b.pcf ter-928n.pcf ter-928b.pcf ter-932n.pcf ter-932b.pcf
PCF_W_1251  = ter-c12n.pcf ter-c12b.pcf ter-c14n.pcf ter-c14b.pcf ter-c16n.pcf ter-c16b.pcf ter-c18n.pcf ter-c18b.pcf ter-c20n.pcf ter-c20b.pcf ter-c22n.pcf ter-c22b.pcf ter-c24n.pcf ter-c24b.pcf ter-c28n.pcf ter-c28b.pcf ter-c32n.pcf ter-c32b.pcf
PCF_8859_13 = ter-d12n.pcf ter-d12b.pcf ter-d14n.pcf ter-d14b.pcf ter-d16n.pcf ter-d16b.pcf ter-d18n.pcf ter-d18b.pcf ter-d20n.pcf ter-d20b.pcf ter-d22n.pcf ter-d22b.pcf ter-d24n.pcf ter-d24b.pcf ter-d28n.pcf ter-d28b.pcf ter-d32n.pcf ter-d32b.pcf
PCF_8859_15 = ter-f12n.pcf ter-f12b.pcf ter-f14n.pcf ter-f14b.pcf ter-f16n.pcf ter-f16b.pcf ter-f18n.pcf ter-f18b.pcf ter-f20n.pcf ter-f20b.pcf ter-f22n.pcf ter-f22b.pcf ter-f24n.pcf ter-f24b.pcf ter-f28n.pcf ter-f28b.pcf ter-f32n.pcf ter-f32b.pcf
PCF_8859_16 = ter-g12n.pcf ter-g12b.pcf ter-g14n.pcf ter-g14b.pcf ter-g16n.pcf ter-g16b.pcf ter-g18n.pcf ter-g18b.pcf ter-g20n.pcf ter-g20b.pcf ter-g22n.pcf ter-g22b.pcf ter-g24n.pcf ter-g24b.pcf ter-g28n.pcf ter-g28b.pcf ter-g32n.pcf ter-g32b.pcf
PCF_KOI8_R  = ter-k12n.pcf ter-k12b.pcf ter-k14n.pcf ter-k14b.pcf ter-k16n.pcf ter-k16b.pcf ter-k18n.pcf ter-k18b.pcf ter-k20n.pcf ter-k20b.pcf ter-k22n.pcf ter-k22b.pcf ter-k24n.pcf ter-k24b.pcf ter-k28n.pcf ter-k28b.pcf ter-k32n.pcf ter-k32b.pcf
PCF_PT_154  = ter-p12n.pcf ter-p12b.pcf ter-p14n.pcf ter-p14b.pcf ter-p16n.pcf ter-p16b.pcf ter-p18n.pcf ter-p18b.pcf ter-p20n.pcf ter-p20b.pcf ter-p22n.pcf ter-p22b.pcf ter-p24n.pcf ter-p24b.pcf ter-p28n.pcf ter-p28b.pcf ter-p32n.pcf ter-p32b.pcf
PCF_KOI8_U  = ter-u12n.pcf ter-u12b.pcf ter-u14n.pcf ter-u14b.pcf ter-u16n.pcf ter-u16b.pcf ter-u18n.pcf ter-u18b.pcf ter-u20n.pcf ter-u20b.pcf ter-u22n.pcf ter-u22b.pcf ter-u24n.pcf ter-u24b.pcf ter-u28n.pcf ter-u28b.pcf ter-u32n.pcf ter-u32b.pcf
PCF_U_10646 = ter-x12n.pcf ter-x12b.pcf ter-x14n.pcf ter-x14b.pcf ter-x16n.pcf ter-x16b.pcf ter-x18n.pcf ter-x18b.pcf ter-x20n.pcf ter-x20b.pcf ter-x22n.pcf ter-x22b.pcf ter-x24n.pcf ter-x24b.pcf ter-x28n.pcf ter-x28b.pcf ter-x32n.pcf ter-x32b.pcf
PCF = $(PCF_8859_1) $(PCF_8859_2) $(PCF_8859_5) $(PCF_8859_7) $(PCF_8859_9) $(PCF_W_1251) $(PCF_8859_13) $(PCF_8859_15) $(PCF_8859_16) $(PCF_KOI8_R) $(PCF_PT_154) $(PCF_KOI8_U) $(PCF_U_10646)

all: $(PSF) $(PCF)
psf: $(PSF)
txt: $(TXT)
raw: $(RAW)
pcf: $(PCF)
n12: $(PCF_N12)

DESTDIR	=
prefix	= /usr/local
psfdir	= $(prefix)/share/consolefonts
x11dir	= $(prefix)/share/fonts/terminus

install: $(PSF) $(PCF)
	mkdir -p $(DESTDIR)$(psfdir)
	for i in $(PSF) ; do gzip -c $$i > $(DESTDIR)$(psfdir)/$$i.gz ; done
	mkdir -p $(DESTDIR)$(x11dir)
	for i in $(PCF) ; do gzip -c $$i > $(DESTDIR)$(x11dir)/$$i.gz ; done

uninstall:
	for i in $(PSF) ; do rm -f $(DESTDIR)$(psfdir)/$$i.gz ; done
	for i in $(PCF) ; do rm -f $(DESTDIR)$(x11dir)/$$i.gz ; done

fontdir:
	mkfontscale $(DESTDIR)$(x11dir)
	mkfontdir $(DESTDIR)$(x11dir)
	fc-cache $(DESTDIR)$(x11dir)

VGA_8859_1  = uni/vgagr.uni uni/ascii-h.uni uni/win-1252.uni
VGA_8859_2  = uni/vgagr.uni uni/ascii-h.uni uni/vga-1250.uni uni/8859-2.uni
VGA_8859_7  = uni/vgagr.uni uni/ascii-h.uni uni/vga-1253.uni uni/8859-7.uni
VGA_8859_9  = uni/vgagr.uni uni/ascii-h.uni uni/win-1254.uni
VGA_W_1251  = uni/vgagr.uni uni/ascii-h.uni uni/vga-1251.uni uni/win-1251.uni
VGA_8859_13 = uni/vgagr.uni uni/ascii-h.uni uni/vga-1257.uni uni/8859-13.uni
VGA_8859_16 = uni/vgagr.uni uni/ascii-h.uni uni/nls-1250.uni uni/8859-16.uni
VGA_IBM_437 = uni/cntrl.uni uni/ascii-h.uni uni/ibm-437.uni
VGA_KOI8_RV = uni/cntrl.uni uni/ascii-h.uni uni/koibm8-r.uni
VGA_KOI8_R  = uni/cntrl.uni uni/ascii-h.uni uni/koi8-r.uni
VGA_BG_MIK  = uni/cntrl.uni uni/ascii-h.uni uni/bg-mik.uni
VGA_PT_154  = uni/vgagr.uni uni/ascii-h.uni uni/pt-154.uni
VGA_KOI8_UV = uni/cntrl.uni uni/ascii-h.uni uni/koibm8-u.uni
VGA_KOI8_U  = uni/cntrl.uni uni/ascii-h.uni uni/koi8-u.uni
VGA_XOS4_2  = uni/xos4-2.uni

DUP_8859_1  = dup/vgagr.dup dup/ascii-h.dup
DUP_8859_2  = dup/vgagr.dup dup/ascii-h.dup
DUP_8859_7  = dup/vgagr.dup dup/ascii-h.dup
DUP_8859_9  = dup/vgagr.dup dup/ascii-h.dup
DUP_W_1251  = dup/vgagr.dup dup/ascii-h.dup
DUP_8859_13 = dup/vgagr.dup dup/ascii-h.dup
DUP_8859_16 = dup/vgagr.dup dup/ascii-h.dup
DUP_IBM_437 = dup/cntrl.dup dup/ascii-h.dup dup/ibm-437.dup
DUP_KOI8_RV = dup/cntrl.dup dup/ascii-h.dup dup/koi8.dup
DUP_KOI8_R  = dup/cntrl.dup dup/ascii-h.dup dup/koi8.dup
DUP_BG_MIK  = dup/cntrl.dup dup/ascii-h.dup dup/ibm-437.dup
DUP_PT_154  = dup/vgagr.dup dup/ascii-h.dup
DUP_KOI8_UV = dup/cntrl.dup dup/ascii-h.dup dup/koi8.dup
DUP_KOI8_U  = dup/cntrl.dup dup/ascii-h.dup dup/koi8.dup
DUP_XOS4_2  = dup/vgagr.dup dup/xos4-2.dup

$(PSF_8859_1): ter-1%.psf : ter-u%.bdf $(VGA_8859_1) $(DUP_8859_1)
	$(UCS2VGA) $< $(REG_8859_1) $(VGA_8859_1) | $(BDF2PSF) -o $@ - $(DUP_8859_1)

$(PSF_8859_2): ter-2%.psf : ter-u%.bdf $(VGA_8859_2) $(DUP_8859_2)
	$(UCS2VGA) $< $(REG_8859_2) $(VGA_8859_2) | $(BDF2PSF) -o $@ - $(DUP_8859_2)

$(PSF_8859_5): ter-5%.psf : ter-u%.bdf $(VGA_8859_5) $(DUP_8859_5)

## xfonts-terminus 4.38

=== Makefile ===
--- 
+++ 
@@ -98,7 +98,7 @@
 fontdir:
 	mkfontscale $(DESTDIR)$(x11dir)
 	mkfontdir $(DESTDIR)$(x11dir)
-	fc-cache $(DESTDIR)$(x11dir)
+	fc-cache -f $(DESTDIR)$(x11dir)
 
 VGA_8859_1  = uni/vgagr.uni uni/ascii-h.uni uni/win-1252.uni
 VGA_8859_2  = uni/vgagr.uni uni/ascii-h.uni uni/vga-1250.uni uni/8859-2.uni

=== debian/changelog ===
xfonts-terminus (4.38-0ubuntu1) saucy; urgency=low

  * New upstream releases (4.36 and 4.38). Closes: #812134
    - New characters
  * New debian/watch file
  * Made the debian/patches directory
  * Updated debian/control
    - Added homepage
    - Changed debhelper to (>=9)
  * Updated debian/compat
    - Changed to 9
  * Created debian/source/format

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 28 Jul 2013 08:47:06 +1000

xfonts-terminus (4.35-1) unstable; urgency=low

  * New upstream releases (4.34 and 4.35):
    - New size 10x18.
    - Changes in few symbols.
    - The patch alt/ge1.diff is applied by default.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 18 May 2011 11:23:45 +0300

xfonts-terminus (4.32-1) unstable; urgency=low

  * New upstream release.
    - Slightly more distintive normal M and W.
    - Rounded 28-bold, 32-normal, 32-bold.
    - Small changes: Che/che stroke, phi, Zhe/zhe etc.
    - Changed the font license to SIL OFL 1.1.
  * Remove the console-terminus package.  The console fonts will be part
    of console-setup.
  * Apply the alt/ge1.diff patch to change the look of the small Cyrillic
    ghe letter.  According to the upstream this patch should be applied
    when creating an international package.
  * Update Standards-Version to 3.9.1.
  * Support DEB_BUILD_OPTIONS in debian/rules.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 12 Mar 2011 20:46:38 +0200

xfonts-terminus (4.30-2) unstable; urgency=low

  * Version 4.30-1 was build with broken version of bdf2psf.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 20 Nov 2009 14:43:31 +0200

xfonts-terminus (4.30-1) unstable; urgency=low

  * New upstream release
    - new font size 22 (according to the upstream it is not very good yet)
    - 25 new symbols
    - small corrections and improvements
  * Change the section of the package (x11|utils) -> fonts.  Closes: #554787.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 20 Nov 2009 13:43:44 +0200

xfonts-terminus (4.28-2) unstable; urgency=low

  * Fix errors in the changelog.  Thanks to Paul Menzel, closes: #527035.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 06 Nov 2009 14:08:17 +0200

xfonts-terminus (4.28-1) unstable; urgency=low

  * New upstream release:
    - heavy frames (written mostly by Tim Allen);
    - a few more letters;
    - altered triangles and arrows;
    - small bugfixes.
  * Install 50-enable-terminus.conf in /etc/fonts/conf.d/conf.avail and symlink
    from conf.d.  Thanks to Stanislav Maslovski, closes: #514596.
  * Replace the dependency on kbd | console-tools from console-terminus by
    recommendation.  Thanks to Samuel Thibault, patch by Petr Salinger.
    Closes: #524477.
  * Build-Depends on trscripts >= 1.16 (question mark as default symbol).
    Thanks to Kai Hendry, closes: #481917.
  * ${misc:Depends} for all packages; update Standards-Version to 3.8.1.
  
 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 02 May 2009 12:40:48 +0300

xfonts-terminus (4.26-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Urgency medium due to lenny-goal bug fix.
  * Clear obsolete conffiles that were left over from etch for xfonts-terminus
    and xfonts-terminus-dos. closes: #455037, #455039.
  * Drop clearance stuffs for very old versions from xfonts-terminus preinst.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Mon, 24 Nov 2008 12:05:05 +0700

xfonts-terminus (4.26-2) unstable; urgency=low

  * Remove the obsoleted Debconf message.  Thanks to Christian Perrier,
    closes: #449364, #476724.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 15 Jul 2008 12:13:02 +0300

xfonts-terminus (4.26-1) unstable; urgency=low

  * New upstream release:
    - full set of greek characters
    - about 50 small fixes and (hopefully) improvementsc
  * New X encoding iso-8859-7, new dos encoding ibm869 and new console
    codesets Greek and Uni2.  Build-dependency on trscripts > 1.15.
  * Lintian cleaning: don't set DH_COMPAT in debian/rules, do not ignore
    'make clean' errors and Standards-Version 3.7.3.
  * Belarusian translation for the Debconf messages.  Thanks to Pavel
    Piatruk and Andrei Darashenka, closes: #447117.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 03 Apr 2008 21:34:50 +0300

xfonts-terminus (4.20-6) unstable; urgency=low

  * Install the alias files in their proper place /etc/X11/fonts/misc.
    Thanks to Chris Moore, closes: #401801.
  * update-fonts-alias is automatically added in postinst by
    dh_installxfonts.  I suppose in version 4.20-5.1 this command was
    missing due to some bug in debhelper.  Thanks to Nelson A. de
    Oliveira, closes: #443521.
  * New Galician translation.  Thanks to Jacobo Tarrio, closes: #411106.
  * New Japanese translation.  Thanks to Kobayashi Noritada, closes: #414571.
  * New Italian translation.  Thanks to Luca Monducci, closes: #427205.
  * Update Standards-Version: 3.7.2.
  * Add Build-Dependency on po-debconf.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 13 Jan 2007 13:55:46 +0200

xfonts-terminus (4.20-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added German and Spanish translation (Closes: #398491, #403441)

 -- Bastian Venthur <venthur@debian.org>  Sun, 28 Jan 2007 13:50:40 +0100

xfonts-terminus (4.20-5) unstable; urgency=low

  * New Portuguese for the Debconf messages.  Thanks to Miguel Figueiredo,
    closes: #399927.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun,  3 Dec 2006 13:47:30 +0200

xfonts-terminus (4.20-4) unstable; urgency=low

  * Rebuild with version 12 of bdf2psf.
  * Add Russian translation of the Debconf messages.  Thanks to Mikhail
    Gusarov, closes: #397165.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 13 Nov 2006 20:38:06 +0200

xfonts-terminus (4.20-3) unstable; urgency=low

  * New dutch translation.  Thanks to Kurt De Bree, closes: #365420.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 12 Oct 2006 14:57:03 +0300

xfonts-terminus (4.20-2) unstable; urgency=low



=== debian/control ===
Source: xfonts-terminus
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Anton Zinoviev <zinoviev@debian.org>
Section: fonts
Priority: optional
Standards-Version: 3.8.1
Build-Depends: debhelper (>=9), trscripts (>= 1.16), xfonts-utils, bdf2psf
Homepage: http://terminus-font.sourceforge.net

Package: xfonts-terminus
Architecture: all
Section: fonts
Priority: optional
Depends: xfonts-utils, ${misc:Depends}
Suggests: xserver | xfs, xfonts-terminus-oblique
Description: Fixed-width fonts for fast reading
 These are fixed-width fonts suitable for terminals, editors, etc.
 If you have to work for extended time in front of monitor (i.e. over
 eight hours), you may find that using of these fonts reduces your
 eyes-fatigue.
 .
 This package contains normal and bold fonts in the following sizes:
 6x12(normal only), 8x14, 8x16, 10x20, 11x22, 12x24, 14x28 and 16x32
 and supports the following encodings: ISO10646-1, ISO8859-1, 
 ISO8859-2, ISO8859-5, ISO8859-9, ISO8859-13, ISO8859-15, ISO8859-16, 
 KOI8-R, KOI8-U, CP1251 and PT154.

Package: xfonts-terminus-oblique
Architecture: all
Section: fonts
Priority: extra
Depends: xfonts-utils, ${misc:Depends}
Recommends: xfonts-terminus
Suggests: xserver | xfs
Description: Oblique version of the Terminus font
 This package contains oblique versions of the fonts in the package
 xfonts-terminus.  These fonts are automatically generated and at
 present are not supported by the upstream maintainer.  They have much
 lower quality than the original fonts.  Nevertheless they can be
 useful for some programs such as GNU Emacs and XEmacs.
 .
 This package contains normal and bold oblique fonts in the following
 in following sizes: 6x12, 8x14, 8x16, 10x20, 11x22, 12x24, 14x28 and 16x32
 and supports the following encodings: ISO10646-1, ISO8859-1,
 ISO8859-2, ISO8859-5, ISO8859-9, ISO8859-13, ISO8859-15, ISO8859-16,
 KOI8-R, KOI8-U, CP1251 and PT154.

Package: xfonts-terminus-dos
Architecture: all
Section: fonts
Priority: optional
Depends: xfonts-utils, ${misc:Depends}
Suggests: xserver | xfs
Enhances: dosemu
Description: Fixed-width fonts for DOS encodings
 These are nice fixed-width fonts in various DOS encodings.  They are
 mostly suitable for use in Dosemu, but can be used also in
 terminals, editors, etc.
 .
 This package supports the following code-pages: CP437, CP850, CP852,
 CP855, CP860, CP863, CP865, CP866, MIK and RUSCII.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (C) 2002,2011 Anton Zinoviev <zinoviev@debian.org>

# This software may be used, modified, copied, distributed, and sold,
# in both source and binary form provided that the copyright
# and these terms are retained. Under no circumstances is the author
# responsible for the proper functioning of this software, nor does
# the author assume any responsibility for damages incurred with its use.

SHELL = /bin/bash

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%, $(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

X_ENCODINGS=unicode cp1251 pt154 koi8-r koi8-u iso-8859-1 iso-8859-2	\
		iso-8859-5 iso-8859-7 iso-8859-9 iso-8859-13		\
		iso-8859-15 iso-8859-16

DOS_ENCODINGS=ibm437 ibm850 ibm852 ibm855 ibm860 ibm863 ibm865 ibm866	\
		ibm869 mik ruscii

ENCODINGS=$(X_ENCODINGS) $(DOS_ENCODINGS)

SOURCE_BDFS = $(wildcard \
			ter-u12[nb].bdf \
			ter-u14[nb].bdf \
			ter-u16[nb].bdf \
			ter-u18[nb].bdf \
			ter-u20[nb].bdf \
			ter-u22[nb].bdf \
			ter-u24[nb].bdf \
			ter-u28[nb].bdf \
			ter-u32[nb].bdf \
		)

oblique_bdfs = $(SOURCE_BDFS:%.bdf=%o.bdf)

convertors=$(addsuffix _conv, $(ENCODINGS))

new_x_bdfs = $(foreach enc, $(X_ENCODINGS), \
		$(addsuffix _$(enc).bdf, $(SOURCE_BDFS:%.bdf=%)))

new_oblique_bdfs = $(foreach enc, $(X_ENCODINGS), \
			$(addsuffix _$(enc).bdf, $(oblique_bdfs:%.bdf=%)))

new_dos_bdfs = $(foreach enc, $(DOS_ENCODINGS), \
		$(addsuffix _$(enc).bdf, $(SOURCE_BDFS:%.bdf=%)))

new_bdfs = $(new_x_bdfs) $(new_oblique_bdfs) $(new_dos_bdfs)

compressed_x_fonts = $(new_x_bdfs:%.bdf=%.pcf.gz)

compressed_oblique_fonts = $(new_oblique_bdfs:%.bdf=%.pcf.gz)

compressed_dos_fonts = $(new_dos_bdfs:%.bdf=%.pcf.gz)

compressed_fonts = $(compressed_x_fonts) $(compressed_oblique_fonts) \
			$(compressed_dos_fonts)

Terminus12x6-BDFS = ter-u12n.bdf
Terminus14-BDFS = ter-u14n.bdf
Terminus16-BDFS = ter-u16n.bdf
Terminus18x10-BDFS = ter-u18n.bdf
Terminus20x10-BDFS = ter-u20n.bdf
Terminus22x11-BDFS = ter-u22n.bdf
Terminus24x12-BDFS = ter-u24n.bdf
Terminus28x14-BDFS = ter-u28n.bdf
Terminus32x16-BDFS = ter-u32n.bdf
TerminusBold12x6-BDFS = ter-u12b.bdf
TerminusBold14-BDFS = ter-u14b.bdf
TerminusBold16-BDFS = ter-u16b.bdf
TerminusBold18x10-BDFS = ter-u18b.bdf
TerminusBold20x10-BDFS = ter-u20b.bdf
TerminusBold22x11-BDFS = ter-u22b.bdf
TerminusBold24x12-BDFS = ter-u24b.bdf
TerminusBold28x14-BDFS = ter-u28b.bdf
TerminusBold32x16-BDFS = ter-u32b.bdf
TerminusBoldVGA14-BDFS = ter-u14v.bdf
TerminusBoldVGA16-BDFS = ter-u16v.bdf

%.gz : %
	gzip -9 <$< >$@

$(oblique_bdfs) : %o.bdf : %.bdf
	perl debian/bdfslant.pl -unjag <$< >$@

$(convertors):
	trbdf -f unicode -t $(@:_conv=) --no-fallback -s >$@

$(new_bdfs) : basename_encoding = $(subst _,/,$(@:%.bdf=%))
$(new_bdfs) : basename = $(subst /,,$(dir $(basename_encoding)))
$(new_bdfs) : encoding = $(notdir $(basename_encoding))
# It's not possible to use prerequisite like $(encoding)_conv here:
$(new_bdfs) : $(SOURCE_BDFS) $(oblique_bdfs) $(convertors)
	awk -f $(encoding)_conv <$(basename).bdf >$@

%.pcf : %.bdf
	bdftopcf $< >$@

build: $(compressed_fonts)

.PHONY : clean
clean:
	dh_testdir
	$(MAKE) clean
	rm -rf $(convertors) $(oblique_bdfs) $(new_bdfs) $(compressed_fonts)
	dh_auto_clean
	dh_clean

.PHONY : install
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install -pxfonts-terminus $(compressed_x_fonts) usr/share/fonts/X11/misc
	dh_install -pxfonts-terminus-oblique $(compressed_oblique_fonts) usr/share/fonts/X11/misc
	dh_install -pxfonts-terminus-dos $(compressed_dos_fonts) usr/share/fonts/X11/misc
	dh_install -pxfonts-terminus debian/xfonts-terminus.alias etc/X11/fonts/misc
	sh debian/generate_aliases terminus "$(X_ENCODINGS)" >>debian/xfonts-terminus/etc/X11/fonts/misc/xfonts-terminus.alias
	dh_install -pxfonts-terminus-dos debian/xfonts-terminus-dos.alias etc/X11/fonts/misc
	sh debian/generate_aliases terminus-dos "$(DOS_ENCODINGS)" >>debian/xfonts-terminus-dos/etc/X11/fonts/misc/xfonts-terminus-dos.alias
	dh_install -pxfonts-terminus debian/50-enable-terminus.conf etc/fonts/conf.avail
	dh_link -pxfonts-terminus etc/fonts/conf.avail/50-enable-terminus.conf etc/fonts/conf.d/50-enable-terminus.conf
	dh_link

# Build architecture-independent files here.
.PHONY : binary-indep
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installxfonts
	dh_installdocs -A README README-BG
#	dh_installexamples
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
#	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
.PHONY : binary-arch
binary-arch : build install
# We have nothing to do by default.

.PHONY : binary
binary : binary-indep binary-arch

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://qa.debian.org/watch/sf.php/terminus-font/terminus-font-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## xfonts-terminus 4.40

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,7 @@
 PSF_KOI8_UV = ter-u14n.psf ter-u14b.psf ter-u14v.psf ter-u16n.psf ter-u16b.psf ter-u16v.psf
 PSF_KOI8_U  = ter-u12n.psf ter-u18n.psf ter-u18b.psf ter-u20n.psf ter-u20b.psf ter-u22n.psf ter-u22b.psf ter-u24n.psf ter-u24b.psf ter-u28n.psf ter-u28b.psf ter-u32n.psf ter-u32b.psf
 PSF_XOS4_2  = ter-v12n.psf ter-v14n.psf ter-v14b.psf ter-v14v.psf ter-v16n.psf ter-v16b.psf ter-v16v.psf ter-v18n.psf ter-v18b.psf ter-v20n.psf ter-v20b.psf ter-v22n.psf ter-v22b.psf ter-v24n.psf ter-v24b.psf ter-v28n.psf ter-v28b.psf ter-v32n.psf ter-v32b.psf
+PSF_U_10646 = ter-x12n.psf ter-x14n.psf ter-x14b.psf ter-x16n.psf ter-x16b.psf ter-x18n.psf ter-x18b.psf ter-x20n.psf ter-x20b.psf ter-x22n.psf ter-x22b.psf ter-x24n.psf ter-x24b.psf ter-x28n.psf ter-x28b.psf ter-x32n.psf ter-x32b.psf
 PSF = $(PSF_8859_1) $(PSF_8859_2) $(PSF_8859_7) $(PSF_8859_9) $(PSF_W_1251) $(PSF_8859_13) $(PSF_8859_16) $(PSF_IBM_437) $(PSF_KOI8_RV) $(PSF_KOI8_R) $(PSF_BG_MIK) $(PSF_PT_154) $(PSF_KOI8_UV) $(PSF_KOI8_U) $(PSF_XOS4_2)
 
 TXT = cp1252.txt cp1250.txt cp1253.txt cp1254.txt cp1251.txt cp1257.txt pt154.txt 8859-16.txt cp437.txt koi8-r.txt koi8-u.txt mik.txt pt254.txt
@@ -78,7 +79,9 @@
 txt: $(TXT)
 raw: $(RAW)
 pcf: $(PCF)
-n12: $(PCF_N12)
+
+echo-pcf:
+	for i in ( $(PCF) ) do echo %i
 
 DESTDIR	=
 prefix	= /usr/local
@@ -115,6 +118,7 @@
 VGA_KOI8_UV = uni/cntrl.uni uni/ascii-h.uni uni/koibm8-u.uni
 VGA_KOI8_U  = uni/cntrl.uni uni/ascii-h.uni uni/koi8-u.uni
 VGA_XOS4_2  = uni/xos4-2.uni
+VGA_U_10646 = uni/vgagr.uni uni/10646-1.uni
 
 DUP_8859_1  = dup/vgagr.dup dup/ascii-h.dup
 DUP_8859_2  = dup/vgagr.dup dup/ascii-h.dup
@@ -133,9 +137,3 @@
 DUP_XOS4_2  = dup/vgagr.dup dup/xos4-2.dup
 
 $(PSF_8859_1): ter-1%.psf : ter-u%.bdf $(VGA_8859_1) $(DUP_8859_1)
-	$(UCS2VGA) $< $(REG_8859_1) $(VGA_8859_1) | $(BDF2PSF) -o $@ - $(DUP_8859_1)
-
-$(PSF_8859_2): ter-2%.psf : ter-u%.bdf $(VGA_8859_2) $(DUP_8859_2)
-	$(UCS2VGA) $< $(REG_8859_2) $(VGA_8859_2) | $(BDF2PSF) -o $@ - $(DUP_8859_2)
-
-$(PSF_8859_5): ter-5%.psf : ter-u%.bdf $(VGA_8859_5) $(DUP_8859_5)
